SLABTOP(1)

NOM
slabtop - Afficher en temps réel les informations des caches slab du noyau

SYNOPSIS
slabtop [options]

DESCRIPTION
slabtop affiche en temps réel les informations détaillées des caches slab (objets alloués au noyau) du noyau. Une liste des principaux caches, triée selon différents critères, est présentée. Un en-tête présente également des statistiques de la couche slab.

OPTIONS
Un appel normal de slabtop ne demande aucune option. Le comportement peut cependant être affiné en ajoutant une ou plusieurs des options suivantes :

-d, --delay=N
    Rafraîchir l'affichage toutes les n secondes. Par défaut, slabtop rafraîchit l'affichage toutes les trois secondes. Pour sortir du programme, entrez q.

-s, --sort=S
    Trier selon le critère de tri S.

-o, --once
    Afficher la sortie une seule fois et quitter.

-V, --version
    Afficher la version du logiciel et quitter.

-h, --help
    Afficher l'aide-mémoire et quitter.

CRITÈRES DE TRI
Les critères de tri suivants sont utilisés pour classer les caches slab un par un et déterminer ceux qui seront affichés en tête du classement. Le classement par défaut est fait selon le nombre d'objets (« o »).

Le critère de tri peut également être modifié pendant l'exécution de slabtop en entrant le caractère associé.
lettre | description | en-tête
a | nombre d'objets actifs | ACTIVE
b | nombre d'objets par slab | OBJ/SLAB
c | taille du cache | CACHE SIZE
l | nombre de slabs | SLABS
v | nombre de slabs actifs | non disponible
n | nom | NAME
o | nombre d'objets | OBJS
p | nombre de pages par slab | non disponible
s | taille d'objet | OBJ SIZE
u | l'utilisation du cache | USE

COMMANDES
slabtop accepte les commandes entrées au clavier par l'utilisateur pendant l'exécution. Les commandes suivantes sont gérées. Lorsqu'il s'agit de lettres, les minuscules et les majuscules sont acceptées.

Tous les caractères de tri valables sont aussi acceptés, afin de changer la méthode de tri. Voyez la section CRITÈRES DE TRI.

<BARRE_D'ESPACE>
    Rafraîchir l'écran.

Q   Quitter le programme.

FICHIERS

/proc/slabinfo
    informations sur slab

VOIR AUSSI
free(1), ps(1), top(1), vmstat(8)

NOTES
Actuellement, slabtop requiert un noyau 2.4 ou supérieur (en particulier, une version 1.1 ou supérieure de /proc/slabinfo). Les noyaux 2.2 devraient être gérés dans le futur.

L'en-tête des statistiques de slabtop quantifie le nombre d'octets utilisés par slab et ce n'est pas une mesure de la mémoire physique. Le champ « Slab » du fichier /proc/meminfo affiche les informations à propos de l'utilisation de la mémoire physique par slab.

AUTEURS
Écrit par Chris Rivera et Robert Love.

slabtop a été inspiré par le script Perl vmtop de Martin Bligh.

BOGUES
Signalez les bogues à <procps@freelists.org>

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Thomas Huriaux <thomas.huriaux@gmail.com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.